Subject: [bug#61255] [PATCH 0/5] Add support for the RPM format to "guix pack"

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 16 Feb 2023 10:22:58 -0500

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> * tests/pack.scm: Fix indentation.
>
> [...]
>
>>         (check   (gexp->derivation
>> -                 "check-tarball"
>> -                 (with-imported-modules '((guix build utils))
>
> [...]
>
>> +                    "check-tarball"
>> +                  (with-imported-modules '((guix build utils))
>
> I’m not convinced by the indentation rule for ‘gexp->derivation’ added
> in 82daab42811a2e3c7684ebdf12af75ff0fa67b99: there’s no reason to treat
> ‘gexp->derivation’ differently from other procedures.

The benefit I saw was that writing

--8<---------------cut here---------------start------------->8---
 (gexp->derivation the-name
  #~(begin
     (the
       (multi-line
        (gexp)))))
--8<---------------cut here---------------end--------------->8---

Seemed most readable/natural.  I saw some code in our code base was
already indented that way, but Emacs wasn't happy about it then.

> What about removing that rule from ‘.dir-locals.el’ and keeping
> ‘tests/pack.scm’ unchanged?

I don't feel too strongly about it, but I thought being able to indent
as above was neater than having to drop the-name on the second like, or
have it indented like under:

--8<---------------cut here---------------start------------->8---
(gexp->derivation the-name
                   #~(begin
                      (the
                        (multi-line
                         (gexp)))))
--8<---------------cut here---------------end--------------->8---

> (Also not sure about the ‘computed-file’ rule.  For all these things,
> we’ll want to keep Emacs and (guix read-print) in sync, too.)

Ah!  Thanks for pointing that out.  I can address this separately.  It'd
be nice if (guix read-print) understood the rules under .dir-locals.el
:-).

-- 
Thanks,
Maxim